OpenNebula - Feature #4363
Upgrade Foundation 5 to 6
03/02/2016 02:55 PM - Daniel Molina

Status: Closed Start date: 03/02/2016
Priority: Normal Due date:

Assignee: Daniel Molina % Done: 100%
Category: Sunstone Estimated time: 0.00 hour
Target version: Release 5.0

Resolution: fixed Pull request:

Description

Associated revisions

Revision 7220983d - 03/02/2016 03:00 PM - Daniel Molina

Feature #4363: Use foundation-sites instead of foundation

Revision d107babe - 03/02/2016 03:02 PM - Daniel Molina

Feature #4363: Use native foundation data tables plugin

Revision 2e6f22af - 03/02/2016 03:04 PM - Daniel Molina

Feature #4363: Upgrade node-sass and grunt-sass libraries
"node-sass": "~3.3.0" is not able to compile Foundation text-inputs() function

Revision bfd63ec2 - 03/02/2016 03:05 PM - Daniel Molina

Feature #4363: Do not load MainTabs until document.ready

Revision eaa622f2 - 03/02/2016 03:07 PM - Daniel Molina

Feature #4363: Comment Foundation components that does not work yet

Revision 936940b1 - 03/02/2016 03:08 PM - Daniel Molina

Feature #4363: Fix user and zone dropdowns

Revision a49575d3 - 03/02/2016 03:10 PM - Daniel Molina

Feature #4363: Fix dropdowns in actions row

Revision 19a76926 - 03/02/2016 03:11 PM - Daniel Molina

Feature #4363: Fix left menu
Revision eab215d6 - 03/02/2016 03:11 PM - Daniel Molina

Feature #4363: Fix panels tabs

Revision d5a5314f - 03/02/2016 03:22 PM - Daniel Molina

Feature #4363: Use hidden attr instead of class

Revision a4331a0a - 03/02/2016 05:36 PM - Daniel Molina

Feature #4363: Update reveal plugin in confirm dialogs

Revision afa12f47 - 03/02/2016 05:39 PM - Daniel Molina

Feature #4363: Fix tabs plugin in Group create form

Revision b9de9e7b - 03/02/2016 05:40 PM - Daniel Molina

Feature #4363: Fix abide events in form-panel

Revision 4051e81f - 03/02/2016 05:40 PM - Daniel Molina

Feature #4363: Fix wizard and advance tabs plugin

Revision 30584056 - 03/04/2016 05:16 PM - Daniel Molina

Feature #4363: Fix top row style

Revision ecf870db - 03/07/2016 02:18 PM - Daniel Molina

Feature #4363: Fix dropdown action buttons

Revision 3284bd0d - 03/07/2016 02:42 PM - Daniel Molina

Feature #4363: Fix vdc create tabs

Revision cb95b287 - 03/07/2016 03:10 PM - Daniel Molina

Feature #4363: Fix wizard/advanced tabs

Revision 95a7b644 - 03/07/2016 03:57 PM - Daniel Molina
Feature #4363: Fix user quotas dialog

Revision e646d6f2 - 03/07/2016 03:58 PM - Daniel Molina

Feature #4363: Fix user auth dialog

Revision 89b5a94b - 03/07/2016 03:58 PM - Daniel Molina

Feature #4363: Fix user groups dialog

Revision 1¢832523 - 03/07/2016 03:58 PM - Daniel Molina

Feature #4363: Fix user password dialog

Revision 86a89e81 - 03/07/2016 05:47 PM - Daniel Molina

Feature #4363: Fix template create tabs

Revision a28d3da5 - 03/08/2016 11:35 AM - Daniel Molina

Feature #4363: Use ul and li instead of dl and add

Revision 746175fb - 03/08/2016 12:11 PM - Daniel Molina

Feature #4363: Fix template instantiate form

Revision b28b714d - 03/08/2016 12:16 PM - Daniel Molina

Feature #4363: Fix template clone dialog

Revision 726a9a64 - 03/08/2016 12:41 PM - Daniel Molina

Feature #4363: Fix service template create form

Revision 02554d11 - 03/08/2016 03:57 PM - Daniel Molina

Feature #4363: Fix vm panels and dialogs

Revision 13e056¢7 - 03/08/2016 04:09 PM - Daniel Molina

Feature #4363: Fix service scale dialog
Revision 13152185 - 03/08/2016 04:36 PM - Daniel Molina

Feature #4363: Fix clusters create form

Revision a4180e83 - 03/08/2016 05:20 PM - Daniel Molina

Feature #4363: Fix image clone dialog

Revision 0Obfc29fa - 03/08/2016 05:21 PM - Daniel Molina

Feature #4363: Fix zone create dialog

Revision 50d7f759 - 03/08/2016 05:50 PM - Daniel Molina

Feature #4363: Fix net creation form

Revision cd5b731b - 03/08/2016 06:00 PM - Daniel Molina

Feature #4363: Fix vnets dialogs

Revision bf2dd501 - 03/08/2016 06:18 PM - Daniel Molina

Feature #4363: Fix security groups forms and dialogs

Revision a55c¢72f6 - 03/09/2016 04:07 PM - Daniel Molina

Feature #4363: Fix list accordions

Revision 853cd056 - 03/09/2016 04:08 PM - Daniel Molina

Feature #4363: Fix header menu

Revision 204536¢9 - 03/10/2016 11:11 AM - Daniel Molina

Feature #4363: Fix vm create network selector

Revision 4159db08 - 03/10/2016 12:06 PM - Daniel Molina

Feature #4363: Fix capacity select accordion

Revision 7875ce94 - 03/10/2016 12:12 PM - Daniel Molina

Feature #4363: Fix accordion class
Revision ce758ce2 - 03/10/2016 12:12 PM - Daniel Molina

Feature #4363: Remove inline styles

Revision 1ccc663f - 03/10/2016 12:23 PM - Daniel Molina

Feature #4363: Fix create flow accordion

Revision 435efd4a - 03/10/2016 04:27 PM - Daniel Molina

Feature #4363: Fix menu initialisation

Revision d309cb6e - 03/10/2016 04:28 PM - Daniel Molina

Feature #4363: Fix block-grid

Revision 4e4e7dd6 - 03/10/2016 05:16 PM - Daniel Molina

Feature #4363: Fix service info

Revision 2ddd62f2 - 03/10/2016 05:27 PM - Daniel Molina

Feature #4363: Fix callout actions

Revision ba7b2dbd - 03/10/2016 05:47 PM - Daniel Molina

Feature #4363: Fix network section

Revision 0c26d5eb - 03/14/2016 10:57 AM - Daniel Molina

Feature #4363: Fix cloud view settings

Revision da73b354 - 03/14/2016 11:36 AM - Daniel Molina

Feature #4363: Add range-slider css

Revision 1a864b73 - 03/14/2016 03:50 PM - Daniel Molina

Feature #4363: Fix sliders

Revision ce9343b7 - 03/14/2016 05:09 PM - Daniel Molina
Feature #4363: Fix remove tab events

Revision ffd792ca - 03/14/2016 05:19 PM - Daniel Molina

Feature #4363: Fix abide error divs

Use form-error instead of error

Revision e1f7d212 - 03/17/2016 06:08 PM - Daniel Molina

Feature #4363: Add new admin view styles

Revision 4dcd90b1 - 03/18/2016 10:02 AM - Daniel Molina

Feature #4363: Fix multiple select table

Revision de2f081f - 03/18/2016 11:39 AM - Daniel Molina

Feature #4363: Fix action buttons layout

Revision ee872c16 - 03/18/2016 03:23 PM - Daniel Molina

Feature #4363: Fix labels style

Revision c¢38e10e5 - 03/18/2016 06:13 PM - Daniel Molina

Feature #4363: Fix menu on medium windows

Revision ea645a2d - 03/18/2016 06:13 PM - Daniel Molina

Feature #4363: Fix dashboard styles

Revision 60c20ba0 - 03/21/2016 07:24 PM - Ruben S. Montero

feature #4363: Comment out foundation.tab requires

Revision ef0f6034 - 03/29/2016 10:54 AM - Daniel Molina

Feature #4363: Fix conflict in admin_vcenter

Revision 658748b4 - 03/29/2016 10:54 AM - Daniel Molina

Feature #4363: Use show instead of fadeln for tabs
Revision 8413d20e - 03/29/2016 11:14 AM - Daniel Molina

Feature #4363: Fix Image and Datastore import_dialog button for vcenter

Revision 0ff9fc60 - 03/29/2016 11:24 AM - Daniel Molina

Feature #4363: Add import_dialog action to all views

Revision a2eda5b4 - 03/30/2016 03:51 PM - Daniel Molina

feature #4363: Fix provision vm create

Revision 95b922ea - 04/01/2016 04:35 PM - Daniel Molina

Feature #4363: Fix cloud view styles

Revision 2362a398 - 04/04/2016 02:08 PM - Daniel Molina

Feature #4363: Fix dashboard styles

Revision 5a9d23b1 - 04/04/2016 02:08 PM - Daniel Molina

Feature #4363: Show existing networks when instantiating a template

Revision 08aa5aff - 04/04/2016 02:09 PM - Daniel Molina

Feature #4363: Fix AR tabs

Revision 3e377e37 - 04/04/2016 02:09 PM - Daniel Molina

Feature #4363: Fix floating menu for small screens

Revision 0659e659 - 04/04/2016 02:48 PM - Daniel Molina

Feature #4363: Add template fieldset for VirtualRouters

Revision 2230dbed - 04/04/2016 04:18 PM - Daniel Molina

Feature #4363: Hide textareas by default

Revision 655023d0 - 04/04/2016 04:25 PM - Daniel Molina

Feature #4363: Update storage and network table on show
Revision 28b24505 - 04/04/2016 05:06 PM - Daniel Molina

Feature #4363: Fix refresh button for tables

Revision ab23422e - 04/04/2016 05:13 PM - Daniel Molina

Feature #4363: Fix layout

Revision 9b8ef3dc - 04/04/2016 05:13 PM - Daniel Molina

Feature #4363: Add layout.css

Revision f085eb59 - 04/05/2016 11:15 AM - Daniel Molina

Feature #4363: Fix graph headers

Revision 9d2647e7 - 04/05/2016 11:15 AM - Daniel Molina

Feature #4363: Fix AR and Leases table width

Revision ffc1a897 - 04/05/2016 11:15 AM - Daniel Molina

Feature #4363: Fix textarea height inside a table

Revision f06f6abd - 04/05/2016 11:15 AM - Daniel Molina

Feature #4363: Fix layout for cloud view

Revision acd2eed3 - 04/07/2016 04:41 PM - Daniel Molina

Feature #4363: Fix buttons styles

Revision 1b99¢c9d7 - 04/08/2016 08:59 AM - Carlos Martin

Feature #4363: Refactor input with MB-GB selector

Revision 8fc6be10 - 04/08/2016 08:59 AM - Carlos Martin

Feature #4363: Use user input with MB-GB select in disk resize

Revision 2671bee3 - 04/08/2016 09:50 AM - Carlos Martin
Feature #4363: Improve MB-GB select style with input-group

Revision b4601a67 - 04/08/2016 04:08 PM - Daniel Molina

Feature #4363: Fix user inputs layout

Revision 427efca3 - 04/11/2016 11:04 AM - Daniel Molina

Feature #4363: Fix reveal modals using the old syntax

Revision 46a52450 - 04/11/2016 02:18 PM - Carlos Martin

Feature #4363: Add invalid style for DT with required inputs

Revision 76788d9b - 04/11/2016 03:29 PM - Carlos Martin

Feature #4363: Improve sizes for medium & small screens

Revision 1891dd13 - 04/11/2016 03:44 PM - Carlos Martin

Feature #4363: Fix button-group in quotas dialog

Revision 247eddbc - 04/11/2016 05:20 PM - Daniel Molina

Feature #4363: Fix layout

Revision 39511d9a - 04/12/2016 08:56 AM - Carlos Martin

Feature #4363: Add missing loading icon in dashboard

Revision 0bffff82 - 04/12/2016 09:14 AM - Carlos Martin

Feature #4363: Fix has-tip style inside a table

Revision 5bc6ea89 - 04/12/2016 09:19 AM - Carlos Martin

Feature #4363: Fix row click when there are 0 elements

Revision 347b895c - 04/12/2016 11:30 AM - Carlos Martin

Feature #4363: Fix attribute edit buttons in two rows
Revision 2¢93cab5 - 04/12/2016 02:20 PM - Daniel Molina

Feature #4363: Fix menu layout

Revision ec71f358 - 04/12/2016 04:09 PM - Daniel Molina

Feature #4363: Close dropdown on click

Revision b367f184 - 04/12/2016 04:09 PM - Daniel Molina

Feature #4363: Use label instead of alert-box

Revision 18f6ad0b - 04/13/2016 10:15 AM - Daniel Molina

Feature #4363: Remove old provision header.hbs

Revision be59195b - 04/13/2016 10:15 AM - Daniel Molina

Feature #4363: Fix provision header row

Revision 5455bae8 - 04/13/2016 05:06 PM - Daniel Molina

Feature #4363: Fix cloud view dashboard

Revision ee7d095d - 04/13/2016 05:06 PM - Daniel Molina

Feature #4363: Fix quotas dashboard

Revision 8e991daf - 04/13/2016 05:06 PM - Daniel Molina

Feature #4363: Add dashboard menu item

Revision 25f9fe3e - 04/14/2016 10:13 AM - Daniel Molina

Feature #4363: Fix cloud view callouts

Revision f717e9e5 - 04/14/2016 10:27 AM - Daniel Molina

Feature #4363: Enable tooltips

Revision e59b9869 - 04/14/2016 10:52 AM - Daniel Molina

Feature #4363: Fix vac button
Revision €3930313 - 04/14/2016 10:53 AM - Daniel Molina

Feature #4363: Fix AR update dialog

Revision 4497f06b - 04/19/2016 01:23 PM - Jaime Melis

Feature #4363: Reorganize menu structure

Revision 5a9ae399 - 04/28/2016 01:12 PM - Carlos Martin

Feature #4363: Restoring missing styles in migration, remove unused style classes

Revision 9dc67984 - 04/28/2016 01:12 PM - Carlos Martin

Feature #4363: Rename right- and left- layout classes to avoid foundation style injection

The dropdowns were placed to the right of the buttons
because of the only-right-info class

Revision b3595d5c - 04/28/2016 01:12 PM - Carlos Martin

Feature #4363: Replace tiny buttons with small ones

Revision a6d8d464 - 05/09/2016 10:47 AM - Jaime Melis

Feature #4363: Reorganize menu structure

Brings System and Infrastructure to the bottom of the menu.

Revision 8e76b0d2 - 05/13/2016 09:01 AM - Carlos Martin

Feature #4363: remove foundation 5 progress bars

Revision 366b4782 - 05/18/2016 11:03 AM - Carlos Martin

Feature #4363 #4128: Fix service cardinality range inputs

Revision 035e68fc - 05/18/2016 03:04 PM - Carlos Martin

Feature #4363: Recover a few styles that went missing, tweak the accordion titles

Revision d9d5811b - 05/18/2016 04:13 PM - Carlos Martin

12/03/2020 11/13



Feature #4363: Improve vnc pop-up layout

Revision fe33410b - 05/18/2016 05:03 PM - Carlos Martin

Feature #4363: Fix vnet leases icons

Revision 9b780a84 - 05/19/2016 10:55 AM - Carlos Martin

Feature #4363: Fix image advanced options style

Revision d17¢37a6 - 05/19/2016 01:56 PM - Carlos Martin

Feature #4363: Use monospace font for VM logs

Revision 68df55b0 - 05/20/2016 11:36 AM - Carlos Martin

Feature #4363: Fix advanced form panel submit

Revision 6b0f73c5 - 06/01/2016 04:19 PM - Carlos Martin

Feature #4363: Fix VM create button in provision Role VM list

Revision 9fbda25b - 06/01/2016 04:21 PM - Carlos Martin

Feature #4363: Fix labels appending 'empty list' messages

Revision 50e5e76e - 06/03/2016 01:10 PM - Carlos Martin

Feature #4363: Fix labels in admin view menu

Revision e01b2d5e - 06/03/2016 02:29 PM - Carlos Martin

Feature #4363: Close drop-downs when an action is clicked

Revision 68ebcb25 - 06/07/2016 09:43 AM - Carlos Martin

Feature #4363: update provision dashboard group VMs

Revision e2daba70 - 06/07/2016 09:53 AM - Carlos Martin

Feature #4363: Fix style for template share in cloud view
Revision d70e464b - 06/07/2016 10:34 AM - Carlos Martin

Feature #4363: Better cloud view service layout in medium and small screens

Revision 1e5a7126 - 06/07/2016 11:09 AM - Carlos Martin

Feature #4363: New favicon

History

#1 - 04/15/2016 12:23 PM - Daniel Molina
- Status changed from New to Closed

- % Done changed from 0 to 100

- Resolution set to fixed
